Package org.apache.batchee.jaxb

## Class JSLProperties

- java.lang.Object
- - org.apache.batchee.jaxb.JSLProperties

-     public class JSLProperties
      extends Object

  Java class for Properties complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Properties">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="property" type="{http://xmlns.jcp.org/xml/ns/javaee}Property" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="partition" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `partition` |
    `protected List<Property>` | `propertyList` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JSLProperties()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getPartition()` | Gets the value of the partition property.
    `List<Property>` | `getPropertyList()` | Gets the value of the propertyList property.
    `void` | `setPartition​(String value)` | Sets the value of the partition property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### propertyList

          protected List<Property> propertyList

    - #### partition

          protected String partition

  - ### Constructor Detail

    - #### JSLProperties

          public JSLProperties()

  - ### Method Detail

    - #### getPropertyList

          public List<Property> getPropertyList()

      Gets the value of the propertyList property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the propertyList property.

      For example, to add a new item, do as follows:

              getPropertyList().add(newItem);

      Objects of the following type(s) are allowed in the list `Property`

    - #### getPartition

          public String getPartition()

      Gets the value of the partition property.
      Returns:
        possible object is `String`

    - #### setPartition

          public void setPartition​(String value)

      Sets the value of the partition property.
      Parameters:
        `value` - allowed object is `String`